%define base_name	kde-styles
%define theme_name	polyester
%define name		%base_name-%theme_name

Name: %name
Version: 0.7
Release: alt1

Group: Graphical desktop/KDE
Summary: Polyester widget style for KDE
License: GPL
Url: http://kde-look.org/content/show.php?content=27968

Source: %theme_name-%version.tar.gz
Patch0: %base_name-%theme_name-alt-makefile.patch

# Automatically added by buildreq on Fri Nov 25 2005
BuildRequires: gcc-c++ kdebase-devel kdebase-wm kdelibs-devel libjpeg-devel
BuildRequires: libpng-devel libqt3-devel libqt3-settings libstdc++-devel
BuildRequires: xml-utils zlib-devel

%description
Widget style + kwin decoration both aimed to be a good balance between eye
candy and simplicity

%prep
%setup -q -n %theme_name-%version
%patch0 -p1
%make -f Makefile.cvs

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"

%__subst 's|\.la|\.so|g' configure

%configure \
    --disable-debug \
    --disable-rpath \
    --without-arts

%make_build
	    
%install
%makeinstall

%files
%doc AUTHORS ChangeLog COPYING
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/plugins/styles/polyester.*
%_datadir/apps/kdisplay/color-schemes/Polyester*.kcsrc
%_datadir/apps/kstyle/themes/polyester.themerc
%_datadir/apps/kwin/polyester.desktop

%changelog
* Mon Feb 06 2006 Stanislav Yadykin <tosick@altlinux.ru> 0.7-alt1
- 0.7
- BuildRequires fix

* Fri Nov 25 2005 Stanislav Yadykin <tosick@altlinux.ru> 0.6-alt1
- build for Sisyphus


